pico-8 cartridge // http://www.pico-8.com
version 34
__lua__
local is_btn_down = false

local showing_main_screen = true
local game_finished = false
local showing_end_screen = false

function _init()
-- cls()
--	print('--yes its running--', 10)
activities_init()
loop_init()
music(7, 0)
end
		
function _update()
	if showing_main_screen == true and
			is_btn_down == false then
			if btn(4) then
			 showing_main_screen = false
			end
	elseif game_finished == false then
		handle_input()
		loop_update()
	elseif showing_end_screen == true then
			if btn(4) then
				reset_game()
			end
	end
end

function _draw()

cls()

if showing_main_screen == true then
		draw_main_scrn()
end
--	print('cleared screen!!')
	if game_finished == false and
	showing_main_screen == false then
		-- need to draw the loop class 
		loop_draw()
		activities_draw()
		
		-- check if we're showing the end of day
		-- ui otherwise there will be overlap
		if showing_end_of_day() == false then
			meter_draw()
			
		end
	end
if showing_end_screen == true then 
	draw_end_scrn()
end
end

function handle_input()

if showing_end_of_day() == true then
	return
end

	if btn(0) then -- left arrow
		if is_btn_down == false then
			request_activity(0)
		end
		is_btn_down = true
	elseif btn(1) then -- right arrow
		if is_btn_down == false then
			request_activity(1)
		end
		is_btn_down = true
	elseif btn(2) then -- up arrow
		if is_btn_down == false then
			request_activity(2)
		end
		is_btn_down = true
	elseif btn(3) then -- down arrow
		if is_btn_down == false then
			request_activity(3)
		end
		is_btn_down = true
	else 
		is_btn_down = false
	end
end

function finish_game()
	game_finished = true
	showing_end_screen = true

end

function reset_game()
	showing_main_screen = true
	game_finished = false
	showing_end_screen = false
	activities_init()
	loop_init()
		-- reset activity modifiers
end
-->8
-- activities interaction script

activities = {}
optiona = 0
optionb = 0
optionc = 0

local output_string = ''

local act_a, act_b, act_c = {}

local activity_count = 0

local mod_str = ''

function activities_init()
	srand()
	get_activities(activities)
	choose_activitiy_options()
	output_string = ''
	activity_count = 0
end

function choose_activitiy_options()

repeat
	optiona = flr(rnd(8))+ 1
	optionb = flr(rnd(8))+ 1
	optionc = flr(rnd(8))+ 1
	
until optiona != optionb and
optionb != optionc and otpiona != optionc

act_a = activities['option'..optiona]
act_b = activities['option'..optionb]
act_c = activities['option'..optionc]
end

function request_activity(input)

	sfx(3, 1)				-- play a bit of feedback
	if input == 0 then -- left
		complete_activity(act_a)
	elseif input == 1 then -- right
		complete_activity(act_b)
	elseif input == 2 then -- up
		complete_activity(act_c)
		elseif input ==3 then 
		end_loop() -- sleep
 end
 
	choose_activitiy_options()
end

function activities_draw()

	print (output_string, 10,30, 6)
	
	if showing_end_of_day()  == true then
		print ("you decide to go to bed",20, 60, 6)
	else
		draw_activity_btn(act_a.string, 18, 85)
		draw_activity_btn(act_b.string, 80, 85)
		draw_activity_btn(act_c.string, 49, 70)
		draw_activity_btn('sleep',49, 100)
	end
end

max_count = 5
function complete_activity(a)

	output_string = get_outputstring(a)
	mod_mood(a.base*a.mod)
	mod_energy(-a.cost)		
	
	activity_count += 1
	
	if (activity_count >= max_count) then
		end_loop()
		reset_activity_count()
	end

	update_act_mods(a)
	
end


function update_act_mods(act)
	i = flr(rnd(2))
	m = 1
	if i == 1 then
		m = -1
	elseif i == 2 then
		m = 1.5
	end
	
	act.mod = m
	
	mod_str = act.string .. ' mod is '.. m

end

function reset_activity_count()
	activity_count = 0
end

function reset_output_string()
	output_string = ''
end
-->8
-- activity setup script
-- only  interface.

--- options ---

-- option, base value , modifier
eat = {
string = 'eat',
base = 10,
mod = 1,
cost = 15,
outputgood = 'you really enjoyed that meal.',
outputneut = 'some pizza will be a quick and \n easy meal for me',
outputbad = 'you couldnt be bothered to cook \n and opted for ceral'
}

sleep = {
string = 'sleep',
base = 0,
mod = 1,
cost = 5,
outputgood = 'you are well rested',
outputneut = 'you got a decent sleep',
outputbad = 'you feel like a zombie'
}

hydrate = {
string ='hydrate',
base = 10,
mod = 1,
cost = 5,
outputbad = 'you opt for a coffee instead. \n'
												..'you get a sore head as a result',
outputneut = 'i should drink water more often!',
outputgood = 'that was refreshing'
}

games = {
string = 'games',
base = 10,
mod = 1,
cost = 20,
outputneut = 'playing games distracted you for \n a few hours at least',
outputbad = 'you got frustrated trying to'
											..'\n beat the boss.',
outputgood = 'woah, that really was\na superb game.'
}

work = {
string = 'work',
base = 10,
mod = 1,
cost = 40,
outputneut = "another decent workday completed!",
outputbad = 'urgh, what a super unproductive day. should have \n stayed in bed',
outputgood = 'i love working in video games. this is amazing!'
}

social = {
string = 'social',
base = 10,
mod = 1,
cost = 15,
outputneut = "well, i got out of the house for a bit",
outputbad = 'your friends make you'
												..'\n feel drained',
outputgood = 'i had such a good time and im \n feeling really super grateful \n right now.'
}

exercise = {
string = 'exercise',
base = 10,
mod = 1,
cost = 30,
outputneut = "phew, i'm tired but at least i done it.",
outputgood = 'that felt amazing',
outputbad = 'my brains really making it hard for me to \n muster the energy to move right now.'
}

wash = {
string = 'wash',
base = 10,
mod = 1,
cost = 5,
outputneut = "at least i'm clean now!",
outputbad = 'you struggle to get the'
											..'\nenergy to go turn the \nshower on',
outputgood = 'what a nice relaxing bath'}

nothing = {
string = 'do nothing',
base = 10,
mod = 1,
cost = 5,
outputneut = "....",
outputgood = 'a little break didnt hurt',
outputbad = 'your thoughts take over your mind'
}
-- gathering -- 
activities = {
option0 = sleep,
option1 = nothing,
option2 = wash,
option3 = eat,
option4 = hydrate,
option5 = games,
option6 = work,
option7 = exercise,
option8 = social
}

-- interface
function get_activities(a)

	a = activities
	
end

function get_outputstring(a)
	
	if a.mod == 0 then
		return  a.outputneut
	elseif a.mod == -1 then
		return a.outputbad
	elseif a.mod == 1 then
		return a.outputgood
	end

end


-->8
-- day / loop script

current_loop = 1
max_loops = 5
is_end_of_day = false

function loop_init()
current_loop = 1
end

function loop_update()
	if has_no_energy() == true then
		end_loop()
		mod_energy(15)
	end
	
	if is_end_of_day == true then
		if btn(4) then 
			is_end_of_day = false
			reset_output_string()
		end	
	end
end

function showing_end_of_day()
	return is_end_of_day
end

function end_loop()
	current_loop +=1
	reset_activity_count()
	end_of_day_mods()
	if current_loop > max_loops then
		finish_game()
	else
		is_end_of_day = true
	end
end

function loop_draw()

	if is_end_of_day then
		print('end of day '..current_loop-1, 43, 80, 7)
		print('hit z to start a new day',20, 88, 7)
	else

		print('d:'..current_loop)
	end
end

-->8
-- mood / energy meter
local current_mood = 50
local current_energy = 20

local bar_w = 30
local bar_h = 1

local mood_x = 4
local mood_y = 10

local energy_x = 4
local energy_y = 18

local last_mod_str = 0

function meter_draw()
	print ("m", 0 , mood_y-2, 7)
	print ("e", 0, energy_y-2, 7)
	draw_bar(mood_x, mood_y, current_mood)
	draw_bar(energy_x, energy_y, current_energy)
end

function draw_bar(x,y,n)
	
	temp = 0
	temp = n / 100
	
	full_bar_w = 0
 full_bar_w = bar_w + x

 actual_w = 0
 actual_w = (temp) * bar_w
	
	rectfill(x,y,full_bar_w,y+bar_h, 5)
	rectfill(x,y,x+actual_w, y+bar_h, 7)
end

function mod_mood(i)
	current_mood += i
	
	last_mod_str = 'last mod : '.. i
	
	if current_mood >= 100 then
		current_mood = 100
	end
	
	if current_mood <= 0 then
		current_mood = 0
	end
end

function mod_energy(i)
	current_energy += i
	
	if current_energy >= 100 then
		current_energy = 100
	end
	
	if current_energy <= 0 then 
		current_energy = 0
	end
end

function has_no_energy()
	return current_energy <= 0
end

local mood_mod = 10
local energy_mod = 60
local energy_threshold = 30

function end_of_day_mods()
	local half_mood_mod = mood_mod / 2
	local half_energy_mod = energy_mod / 2
	
	-- try to make this the potential 
	-- to become negative as well as positive
	r_m = flr(rnd(mood_mod)) - half_mood_mod
	r_e = flr(rnd(energy_mod)) - half_energy_mod
	
	
	if current_energy <= energy_threshold then
		r_m *= 2
	end
	
	mod_mood(r_m)
	mod_energy(r_e)
			
end
-->8
-- utilities

width = 25
height = 10
clr = 7
clr = 7
txt_x_offset = 3
txt_y_offset = 3

function draw_activity_btn(s,x,y)
local	w = 30
local h = y+height

	local offset = 3
	local charw = 5
	local halfstr = #s/2
	local start = x+((w)/2)-(halfstr*charw)
	rectfill(x-1, y-1,x+w+1, h+1,clr)
	rectfill(x, y,x+w, h,0)
	for i = 1, #s do
		local txt = sub(s,i,i) -- get the character
		local tx = start+(i*4)
		local ty = y+offset
		print(txt,tx,ty,clr)		
	end
--	print(s,x + txt_x_offset,y+txt_y_offset,txt_clr)
end

function debug_print(str)
	print(str,50,50,8)
end


-->8
-- screen drawing 

function draw_main_scrn()
	draw_credits()
	print("duality days", 45, 30, 7)
	print("keep your mood as high", 25, 50, 7)
	print("as possible over 7 days", 25, 60, 7)	
	
	print("press z to continue", 32, 80, 6)
end

function draw_end_scrn()
	draw_credits()
	print("ended", 60, 64, 7)
	print("hit z to reset", 40, 80, 6)
end

function draw_credits()
		print("made by @kirstysays", 5, 5, 13)
		print("for ggj 2022.", 5, 12, 13)
end
__gfx__
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000009009000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000090000900000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000009999000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__label__
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000ddd0ddd0dd00ddd00000ddd0d0d000000d00d0d0ddd0ddd00dd0ddd0d0d00dd0ddd0d0d00dd000000000000000000000000000000000000000000000000
00000ddd0d0d0d0d0d0000000d0d0d0d00000d0d0d0d00d00d0d0d0000d00d0d0d000d0d0d0d0d00000000000000000000000000000000000000000000000000
00000d0d0ddd0d0d0dd000000dd00ddd00000d0d0dd000d00dd00ddd00d00ddd0ddd0ddd0ddd0ddd000000000000000000000000000000000000000000000000
00000d0d0d0d0d0d0d0000000d0d000d00000d000d0d00d00d0d000d00d0000d000d0d0d000d000d000000000000000000000000000000000000000000000000
00000d0d0d0d0ddd0ddd00000ddd0ddd000000dd0d0d0ddd0d0d0dd000d00ddd0dd00d0d0ddd0dd0000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000ddd00dd0ddd000000dd00dd0ddd00000ddd0ddd0ddd0ddd0000000000000000000000000000000000000000000000000000000000000000000000000000
00000d000d0d0d0d00000d000d0000d00000000d0d0d000d000d0000000000000000000000000000000000000000000000000000000000000000000000000000
00000dd00d0d0dd000000d000d0000d000000ddd0d0d0ddd0ddd0000000000000000000000000000000000000000000000000000000000000000000000000000
00000d000d0d0d0d00000d0d0d0d00d000000d000d0d0d000d000000000000000000000000000000000000000000000000000000000000000000000000000000
00000d000dd00d0d00000ddd0ddd0dd000000ddd0ddd0ddd0ddd00d0000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000077007070777070007770777070700000770077707070077000000000000000000000000000000000000
00000000000000000000000000000000000000000000070707070707070000700070070700000707070707070700000000000000000000000000000000000000
00000000000000000000000000000000000000000000070707070777070000700070077700000707077707770777000000000000000000000000000000000000
00000000000000000000000000000000000000000000070707070707070000700070000700000707070700070007000000000000000000000000000000000000
00000000000000000000000000000000000000000000077700770707077707770070077700000777070707770770000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000007070777077707770000070700770707077700000777007700770770000007770077000007070777007707070000000000000000
00000000000000000000000007070700070007070000070707070707070700000777070707070707000007070700000007070070070007070000000000000000
00000000000000000000000007700770077007770000077707070707077000000707070707070707000007770777000007770070070007770000000000000000
00000000000000000000000007070700070007000000000707070707070700000707070707070707000007070007000007070070070707070000000000000000
00000000000000000000000007070777077707000000077707700077070700000707077007700777000007070770000007070777077707070000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000007770077000007770077007700770777077707000777000000770707077707770000077700000770077707070077000000000000
00000000000000000000000007070700000007070707070007000070070707000700000007070707070007070000000700000707070707070700000000000000
00000000000000000000000007770777000007770707077707770070077007000770000007070707077007700000000700000707077707770777000000000000
00000000000000000000000007070007000007000707000700070070070707000700000007070777070007070000000700000707070700070007000000000000
00000000000000000000000007070770000007000770077007700777077707770777000007700070077707070000000700000777070707770770000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000666066606660066006600000666000006660066000000660066066006660666066006060666000000000000000000000
00000000000000000000000000000000606060606000600060000000006000000600606000006000606060600600060060606060600000000000000000000000
00000000000000000000000000000000666066006600666066600000060000000600606000006000606060600600060060606060660000000000000000000000
00000000000000000000000000000000600060606000006000600000600000000600606000006000606060600600060060606060600000000000000000000000
00000000000000000000000000000000600060606660660066000000666000000600660000000660660060600600666060600660666000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
00000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000

__map__
0000000000000000000000000000010000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
__sfx__
003d00200a6100f611156111c6112c6113161131611236111b6110d6110d6110c6110b6110a621096110861107611096110b6110161106611076110f611186111c61125611256111c61116611126110d61109611
0008080a1307014070180701806018050180401803018020180141801500000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
010b0809245701d5701c5701c5601c5501c5401c5301c5201c5100050000500005000050000500005000050000500005000050000500005000050000500005000050000500005000050000500005000050000500
000e00000115004150011000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
001000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000000
007800000c8410c8410c8400c8400c8400c8400c8400c8400c8400c8400c8400c8400c8400c8400c8400c84018841188401884018840188401884018840188402483124830248302483024830248302483024830
01780000269542694026930185351870007525075240752507534000002495424940249301d5241d7000c5250c5242952500000000002b525000001d5241d5250a5440a5450a5440a5201a7341a7350a0350a024
017800000072400735007440075500744007350072400715007340072500000057440575505744057350572405735057440575503744037350372403735037440375503744037350372403735037440373503704
017800000a0041f734219442194224a5424a5224a45265351a5341a5350000026934269421ba541ba501ba550c5340c5450c5540c555000001f9541f9501f955225251f5341f52522a2022a3222a452b7342b725
__music__
00 40404040
00 40404040
00 40404040
00 40404040
00 40404040
00 40404040
00 40404040
03 0d0e0f10

